## org.apache.http.client.params
Class HttpClientParams

    java.lang.Object
      org.apache.http.client.params.HttpClientParams

    @Immutable
    public class HttpClientParams

extends Object

An adaptor for manipulating HTTP client parameters in `HttpParams`.

Since:
  4.0

Method Summary
`static String` `getCookiePolicy(HttpParams params)`
`static boolean` `isAuthenticating(HttpParams params)`
`static boolean` `isRedirecting(HttpParams params)`
`static void` `setAuthenticating(HttpParams params, boolean value)`
`static void` `setCookiePolicy(HttpParams params, String cookiePolicy)`
`static void` `setRedirecting(HttpParams params, boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isRedirecting

    public static boolean isRedirecting(HttpParams params)

### setRedirecting

    public static void setRedirecting(HttpParams params,
                                      boolean value)

### isAuthenticating

    public static boolean isAuthenticating(HttpParams params)

### setAuthenticating

    public static void setAuthenticating(HttpParams params,
                                         boolean value)

### getCookiePolicy

    public static String getCookiePolicy(HttpParams params)

### setCookiePolicy

    public static void setCookiePolicy(HttpParams params,
                                       String cookiePolicy)

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.